"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringWriter = void 0;
exports.capitalize = capitalize;
exports.removeNewlines = removeNewlines;
exports.removeTrailingComments = removeTrailingComments;
class StringWriter {
    constructor() {
        this.buffer = '';
    }
    write(text) {
        this.buffer += text;
    }
    toString() {
        return this.buffer;
    }
}
exports.StringWriter = StringWriter;
function capitalize(str) {
    return str[0].toUpperCase() + str.slice(1);
}
function removeNewlines(str) {
    return str.replace(/\r?\n|\r/gm, '');
}
function removeTrailingComments(str) {
    return str.replace(/\/\/.*\r?\n/gm, '');
}
//# sourceMappingURL=utils.js.map